@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

:root{
	--overlay-color: skyblue;
}

* {
	box-sizing: border-box;
	margin: 0;
	margin: 0;
	font-family: 'Poppins', sans-serif;
}

.showcase {
	position: absolute;
	right: 0;
	width: 100%;
	min-height: 100vh;
	padding: 100px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background: #111;
	color: #fff;
	z-index: 2;
	transition: 1.5s;
}

.showcase.active {
	right: 34%;
}

.showcase header {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	padding: 40px 100px;
	z-index: 1000;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.logo {
	text-transform: uppercase;
	cursor: pointer;
}

.toggle {
	position: relative;
	width: 60px;
	height: 60px;
	background: url('w-menu.png');
	background-repeat: no-repeat;
	background-size: 30px;
	background-position: center;
	cursor: pointer;
}

.toggle.active{
	background: url('close.png');
	background-repeat: no-repeat;
	background-size: 25px;
	background-position: center;
}

.showcase video {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	opacity: 0.8;
}

.overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: var(--overlay-color);
	mix-blend-mode: overlay;
}
.text {
	position: relative;
	z-index: 10;
	margin-top: 15%;
}

.text h2 {
	font-size: 5em;
	font-weight: 800;
	line-height: 1em;
	text-transform: uppercase;
}

.text h3 {
	font-size: 5em;
	font-weight: 700;
	line-height: 1em;
	text-transform: uppercase;
}

.text p {
	font-size: 1.1em;
	margin: 20px 0;
	font-weight: 400;
	max-width: 700px;
}

.text a {
	display: inline-block;
	font-size: 1em;
	background: #fff;
	padding: 10px 30px;
	text-decoration: none;
	color: #111;
	margin-top: 10px;
	text-transform: uppercase;
	letter-spacing: 2px;
	transition: 0.2s;
}

.text a:hover {
	letter-spacing: 6px;
}

.social {
	position: absolute;
	bottom: 0px;
	z-index: 10;
	display: flex;
	justify-content: center;
	align-items: center;
}

.social li {
	list-style: none;
}

.social li a {
	display: inline-block;
	filter: invert(1);
	margin-right: 20px;
	transform: scale(0.5);
	transition: 0.5s;
}

.social li a:hover {
	transform: scale(0.5) translateY(-15px);
}

.menu {
	position: absolute;
	top: 0;
	right: 5%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}

.menu ul {
	position: relative;
	list-style: none;
}

.menu ul li a {
	text-decoration: none;
	align-items: center;
	justify-content: center;
	font-size: 24px;
	color: #111;
}

.menu ul li a:hover {
	color: rgb(5, 212, 5);
	font-size: 26px;
	font-weight: bold;
}

@media(max-width: 798px) {
	.showcase,
	.showcase header{
		padding: 40px;
	}

	.text h2 {
		font-size: 3em;
	}

	.text h3 {
		font-size: 2em;
	}
}